local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[3] = {
	All = {
		Aura = {
			AgileReflexes = 160011,
			AMurderOfCrows = 131894,
			AnkleCrack = 50433,
			AspectOfTheCheetah = 186258,
			AspectOfTheTurtle = 186265,
			BeastLore = 1462,
			BindingShot = 117405,
			Bristle = 263869,
			BurrowAttack = 93433,
			Camouflage = 199483,
			CatlikeReflexes = 263892,
			Dash = 61684,
			DefenseMatrix = 263868,
			DragonsGuile = 263887,
			DustCloud = 50285,
			EagleEye = 6197,
			FeignDeath = 5384,
			Flare = 132951,
			FreezingTrap = 3355,
			FuriousBite = 263840,
			Growl = 2649,
			Gruff = 263920,
			HardenCarapace = 90339,
			LockJaw = 263423,
			MastersCall = 54216,
			MendPet = 136,
			Misdirection = 34477,
			MortalWounds = 115804,
			NiuzaosFortitude = 264022,
			Pin = 50245,
			Posthaste = 118922,
			PrimalAgility = 160044,
			PrimalRage = 264667,
			Prowl = 24450,
			RoarOfSacrifice = 53480,
			ScaleShield = 263865,
			ScorpidSting = 202900,
			SerpentsSwiftness = 263904,
			ShellShield = 26064,
			Silverback = 263938,
			SpiderSting = 202914,
			StoneScales = 159733,
			SurvivalOfTheFittest = 264735,
			SurvivalTactics = 202748,
			TalonRend = 263852,
			TameBeast = 1515,
			ThickFur = 263926,
			ThickHide = 160058,
			Updraft = 160007,
			ViperSting = 202797,
			WarpTime = 35346,
			WebSpray = 160067,
			WingedAgility = 264360,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			-- Active Abilities
			AspectOfTheChameleon = { 61648,	1.5 },
			AspectOfTheCheetah = { 186257, 0  },
			AspectOfTheTurtle = { 186265, 0 },
			BeastLore = { 1462, 1.5 },
			CallPet = { 883, 1.5 },
			CommandPet = { 272651, 0 },
			Disengage = { 781, 0 },
			DismissPet = { 2641, 1.5 },
			EagleEye = { 6197, 1.5 },
			Exhilaration = { 109304, 1.5 },
			FeedPet = { 6991, 0 },
			FeignDeath = { 5384, 0 },
			Fetch = { 125050, 1.5 },
			Fireworks = { 127933, 1.5 },
			Flare = { 1543, 1.5 },
			FreezingTrap = { 187650, 1.5 },
			MendPet = { 136, 1.5 },
			Misdirection = { 34477, 0 },
			PlayDead = { 209997, 0 },
			RevivePet = { 982, 1.5 },
			TameBeast = { 1515, 1.5 },
			TarTrap = { 187698, 1.5 },
			TrackDemons = { 19878, 0 },
			TrackDragonkin = { 19879, 0 },
			TrackElementals = { 19880, 0 },
			TrackGiants = { 19882, 0 },
			TrackHidden = { 19885, 0 },
			TrackHumanoids = { 19883, 0 },
			TrackMechanicals = { 229533, 0 },
			TrackUndead = { 19884, 0 },
			WakeUp = { 210000, 0 },
			-- Passive Abilities
			ControlPet = { 93321, 0 },
			CriticalStrikes = { 157443, 0 },
		},
		Talent = {
			-- Active Talents
			AMurderOfCrows = { 131894, 1.5 },
			BindingShot = { 109248, 1.5 },
			Camouflage = { 199483, 0 },
			-- Passive Talents
			BornToBeWild = { 266921, 0 },
			NaturalMending = { 270581, 0 },
			Posthaste = { 109215, 0 },
			Trailblazer = { 199921, 0 },
		},
		Totem = {},
	},

	[253] = { -- Beast Mastery
		Aura = {
			AcidSpit = 263446,
			AspectOfTheWild = 193530,
			BarbedShot = 217200,
			BeastCleave = 118455,
			BestialWrath = 19574,
			Bulwark = 279410,
			DireBeastBasilisk = 209967,
			DireBeastHawk = 208684,
			Feast = 159954,
			Frenzy = 272790,
			FrostBreath = 54644,
			Interlope = 248519,
			Intimidation = 19577,
			MoltenHide = 159786,
			ObsidianSkin = 263867,
			SolidShell = 160063,
			SpiritMend = 90361,
			SpiritWalk = 90328,
			SpittingCobra = 194407,
			StoneArmor = 160048,
			SurfaceTrot = 126311,
			TendonRip = 160065,
			ThrillOfTheHunt = 257946,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			-- Active Abilities
			AspectOfTheWild = { 193530, 1.3 },
			BarbedShot = { 217200, 1.5 },
			BestialWrath = { 19574, 1.5 },
			CobraShot = { 193455, 1.5 },
			ConcussiveShot = { 5116, 1.5 },
			CounterShot = { 147362, 0 },
			Intimidation = { 19577, 1.5 },
			KillCommand = { 34026, 1.5 },
			MultiShot = { 2643, 1.5 },
			-- Passive Abilities
			BeastCleave = { 115939, 0 },
			ExoticBeasts = { 53270, 0 },
			KindredSpirits = { 56315, 0 },
			MasterOfBeasts = { 76657, 0 },
			WildCall = { 185789, 0 },
		},
		Talent = {
			-- Active Talents
			Barrage = { 120360, 1.5 },
			ChimaeraShot = { 53209, 1.5 },
			DireBeast = { 120679, 1.5 },
			SpittingCobra = { 194407, 1.5 },
			Stampede = { 201430, 1.5 },
			-- Passive Talents
			AnimalCompanion = { 267116, 0 },
			AspectOfTheBeast = { 191384, 0 },
			KillerCobra = { 199532, 0 },
			KillerInstinct = { 273887, 0 },
			OneWithThePack = { 199528, 0 },
			ScentOfBlood = { 193532, 0 },
			Stomp = { 199530, 0 },
			ThrillOfTheHunt = { 257944, 0 },
			VenomousBite = { 257891, 0 },
		},
		Totem = {},
	},

	[254] = { -- Marksmanship
		Aura = {
			BurstingShot = 186387,
			ConcussiveShot = 5116,
			DoubleTap = 260402,
			HuntersMark = 257284,
			LethalShots = 260395,
			LockAndLoad = 194594,
			MasterMarksman = 269576,
			PreciseShots = 260242,
			ScatterShot = 213691,
			SerpentSting = 271788,
			SniperShot = 203155,
			SteadyFocus = 193534,
			TarTrap = 135299,
			TrickShots = 257622,
			Trueshot = 193526,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			-- Active Abilities
			AimedShot = { 19434, 1.5 },
			ArcaneShot = { 185358, 1.5 },
			BurstingShot = { 186387, 1.5 },
			ConcussiveShot = { 5116, 1.5 },
			CounterShot = { 147362, 0 },
			MultiShot = { 257620, 1.5 },
			RapidFire = { 257044, 1.5 },
			SteadyShot = { 56641, 1.5 },
			Trueshot = { 193526, 1.5 },
			-- Passive Abilities
			LoneWolf = { 155228, 0 },
			SniperTraining = { 193468, 0 },
			PreciseShots = { 260240, 0 },
			TrickShots = { 257621, 0 },
		},
		Talent = {
			-- Active Talents
			Barrage = { 120360, 1.5 },
			DoubleTap = { 260402, 1.5 },
			ExplosiveShot = { 212431, 1.5 },
			ExplosiveShotDetonate = { 212679, 0 },
			HuntersMark = { 257284, 1.5 },
			PiercingShot = { 198670, 1.5 },
			SerpentSting = { 271788, 1.5 },
			-- Passive Talents
			CallingTheShots = { 260404, 0 },
			CarefulAim = { 260228, 0 },
			LethalShots = { 260393, 0 },
			LockAndLoad = { 194595, 0 },
			MasterMarksman = { 260309, 0 },
			SteadyFocus = { 193533, 0 },
			Streamline = { 260367, 0 },
		},
		Totem = {},
	},

	[255] = { -- Survival
		Aura = {
			AspectOfTheEagle = 186289,
			CoordinatedAssault = 266779,
			Harpoon = 190927,
			InternalBleeding = 270343,
			Intimidation = 19577,
			KillCommand = 259277,
			MendingBandage = 212640,
			MongooseFury = 259388,
			Predator = 260249,
			ScorchingPheromones = 270332,
			SerpentSting = 259491,
			ShrapnelBomb = 270339,
			SteelTrap = 162480,
			StickyTar = 203268,
			TermsOfEngagement = 265898,
			TipOfTheSpear = 260286,
			TrackersNet = 212638,
			VipersVenom = 268552,
			VolatileWildfire = 271049,
			WildfireBomb = 269747,
			WingClip = 195645,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			-- Active Abilities
			AspectOfTheEagle = { 186289, 0 },
			Carve = { 187708, 1.5 },
			CoordinatedAssault = { 266779, 1.5 },
			Harpoon = { 190925, 0.5 },
			Intimidation = { 19577, 1.5 },
			KillCommand = { 259489, 1.5 },
			Muzzle = { 187707, 0 },
			RaptorStrike = { 186270, 1.5 },
			SerpentSting = { 259491, 1.5 },
			WildfireBomb = { 259495, 1.5 },
			WingClip = { 195645, 1.5 },
			-- Passive Abilities
			SpiritBond = { 263135, 0 },
		},
		Talent = {
			-- Active Talents
			Butchery = { 212436, 1.5 },
			Chakrams = { 259391, 1.5 },
			FlankingStrike = { 269751, 1.5 },
			MongooseBite = { 259387, 1.5 },
			SteelTrap = { 162488, 1.5 },
			-- Passive Talents
			AlphaPredator = { 269737, 0 },
			BirdsOfPrey = { 260331, 0 },
			Bloodseeker = { 260248, 0 },
			GuerrillaTactics = { 264332, 0 },
			HydrasBite = { 260241, 0 },
			TermsOfEngagement = { 265895, 0 },
			TipOfTheSpear = { 260285, 0 },
			VipersVenom = { 268501, 0 },
			WildfireInfusion = { 271014, 0 },
		},
		Totem = {},
	},
};