local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[2] = {
	All = {
		Aura = {
			ArdentDefender = 31850,
			AvengingWrath = 31884,
			BlessingOfFreedom = 1044,
			BlessingOfProtection = 1022,
			BlindingLight = 105421,
			DivineShield = 642,
			Forbearance = 25771,
			HammerOfJustice = 853,
			HandOfReckoning = 62124,
			Repentance = 20066,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			AvengingWrath = { 31884, 1.5 },
			BlessingOfFreedom = { 1044, 1.5 },
			BlessingOfProtection = { 1022, 1.5 },
			Block = { 123830, 0 },
			BoundlessConviction = { 115675, 0 },
			Contemplation = { 121183, 1.5 },
			CrusaderStrike = { 35395, 1.5 },
			DivineShield = { 642, 1.5 },
			DivineSteed = { 190784, 1.5 },
			FlashOfLight = { 19750, 1.5 },
			HammerOfJustice = { 853, 1.5 },
			HandOfReckoning = { 62124, 0 },
			HeartOfTheCrusader = { 32223, 1.5 },
			LayOnHands = { 633, 0 },
			Parry = { 82242, 0 },
			Redemption = { 7328, 1.5 },
			TyrsDeliverance = { 200653, 0 },
		},
		Talent = {
			BlindingLight = { 115750, 1.5 },
			JudgmentOfLight = { 183778, 0 },
			Repentance = { 20066, 1.5 },
			UnbreakableSpirit = { 114154, 0 },
		},
		Totem = {},
	},

	[65] = { -- Holy
		Aura = {
			AuraMastery = 31821,
			AvengingCrusader = 216331,
			BeaconOfFaith = 156910,
			BeaconOfLight = 53563,
			BeaconOfVirtue = 200025,
			BestowFaith = 223306,
			BlessingOfSacrifice = 6940,
			Consecration = 204242,
			DarkestBeforeTheDawn = 210391,
			DivineFavor = 210294,
			DivineProtection = 498,
			DivinePurpose = 216411,
			HolyAvenger = 105809,
			InfusionOfLight = 54149,
			Judgement = 214222,
			JudgementOfLight = 196941,
			LightsGrace = 216328,
			RuleOfLaw = 214202,
			SpreadingTheWordProtection = 199507,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Absolution = { 212056, 1.5 },
			AuraMastery = { 31821, 1.5 },
			BeaconOfLight = { 53563, 1.5 },
			BlessingOfSacrifice = { 6940, 0 },
			Cleanse = { 4987, 1.5 },
			Consecration = { 26573, 1.5 },
			DivineProtection = { 498, 0 },
			HolyLight = { 82326, 1.5 },
			HolyShock = { 20473, 1.5 },
			InfusionOfLight = { 53576, 0 },
			Judgment = { 275773, 1.5 },
			Lightbringer = { 183997, 0 },
			LightOfDawn = { 85222, 1.5 },
			LightOfTheMartyr = { 183998, 1.5 },
		},
		Talent = {
			AuraOfMercy = { 183415, 0 },
			AuraOfSacrifice = { 183416, 0 },
			AvengingCrusader = { 216331, 1.5 },
			Awakening = { 248033, 0 },
			BeaconOfFaith = { 156910, 1.5 },
			BeaconOfVirtue = { 200025, 1.5 },
			BestowFaith = { 223306, 1.5 },
			CrusadersMight = { 196926, 0 },
			DevotionAura = { 183425, 0 },
			DivinePurpose = { 197646, 0 },
			FistOfJustice = { 198054, 0 },
			HolyAvenger = { 105809, 1.5 },
			HolyPrism = { 114165, 1.5 },
			LightsHammer = { 114158, 1.5 },
			RuleOfLaw = { 214202, 0 },
			SanctifiedWrath = { 53376, 0 },
		},
		Totem = {},
	},

	[66] = { -- Protection
		Aura = {
			AegisOfLight = 204150,
			AvengersShield = 31935,
			AvengersValor = 197561,
			BlessedHammer = 204301,
			BlessingOfSacrifice = 6940,
			BlessingOfSpellwarding = 204018,
			Consecration = 188370,
			FinalStand = 204079,
			GuardedByTheLight = 216857,
			GuardianOfAncientKings = 86659,
			Inquisition = 206891,
			JudgementOfLight = 196941,
			Redoubt = 280375,
			Seraphim = 152262,
			ShieldOfTheRighteous = 132403,
			ShieldOfVirtue = 215652,
			SteedOfGlory = 199545,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			ArdentDefender = { 31850, 0 },
			AvengersShield = { 31935, 1.5 },
			BlessingOfSacrifice = { 6940, 0 },
			CleanseToxins = { 213644, 1.5 },
			Consecration = { 26573, 1.5 },
			DivineBulwark = { 76671, 0 },
			DivineProtection = { 498, 0 },
			GrandCrusader = { 85043, 0 },
			GuardianOfAncientKings = { 86659, 0 },
			HammerOfTheRighteous = { 53595, 1.5 },
			Judgment = { 275779, 1.5 },
			JudgmentsOfTheWise = { 105424, 0 },
			LightOfTheProtector = { 184092, 1.5 },
			Rebuke = { 96231, 0 },
			RighteousFury = { 25780, 0 },
			Riposte = { 161800, 0 },
			Sanctuary = { 105805, 0 },
			ShieldOfTheRighteous = { 53600, 0 },
		},
		Talent = {
			AegisOfLight = { 204150, 1.5 },
			BastionOfLight = { 204035, 0 },
			BlessedHammer = { 204019, 1.5 },
			BlessingOfSpellwarding = { 204018, 1.5 },
			ConsecratedGround = { 204054, 0 },
			CrusadersJudgment = { 204023, 0 },
			FinalStand = { 204077, 0 },
			FirstAvenger = { 203776, 0 },
			FistOfJustice = { 198054, 0 },
			HandOfTheProtector = { 213652, 1.5 },
			LastDefender = { 203791, 0 },
			Redoubt = { 280373, 0 },
			RetributionAura = { 203797, 0 },
			RighteousProtector = { 204074, 0 },
			Seraphim = { 152262, 1.5 },
		},
		Totem = {},
	},

	[70] = { -- Retribution
		Aura = {
			BladeOfWrath = 281178,
			BlessingOfSanctuary = 210256,
			Crusade = 231895,
			DivineJudgement = 271581,
			DivinePurpose = 223819,
			ExecutionSentence = 267799,
			EyeForAnEye = 205191,
			FiresOfJustice = 209785,
			GreaterBlessingOfKings = 203538,
			GreaterBlessingOfWisdom = 203539,
			HandOfHindrance = 183218,
			Inquisition = 84963,
			Judgement = 197277,
			Lawbringer = 246807,
			Reckoning = 247677,
			RighteousVerdict = 267611,
			SelflessHealer = 114250,
			SeraphimsBlessing = 248878,
			ShieldOfVengeance = 184662,
			WakeOfAshes = 205290,
			Zeal = 269571,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			ArtOfWar = { 267344, 0 },
			BladeOfJustice = { 184575, 1.5 },
			CleanseToxins = { 213644, 1.5 },
			DivineStorm = { 53385, 1.5 },
			GreaterBlessingOfKings = { 203538, 1.5 },
			GreaterBlessingOfWisdom = { 203539, 1.5 },
			HandOfHindrance = { 183218, 1.5 },
			HandOfLight = { 267316, 0 },
			Judgment = { 20271, 1.5 },
			Rebuke = { 96231, 0 },
			Retribution = { 183435, 0 },
			ShieldOfVengeance = { 184662, 1.5 },
			TemplarsVerdict = { 85256, 1.5 },
		},
		Talent = {
			BladeOfWrath = { 231832, 0 },
			Consecration = { 205228, 1.5 },
			Crusade = { 231895, 1.5 },
			DivineJudgment = { 271580, 0 },
			DivinePurpose = { 223817, 0 },
			ExecutionSentence = { 267798, 1.5 },
			EyeForAnEye = { 205191, 1.5 },
			FiresOfJustice = { 203316, 1.5 },
			FistOfJustice = { 234299, 0 },
			HammerOfWrath = { 24275, 1.5 },
			Inquisition = { 84963, 1.5 },
			JusticarsVengeance = { 215661, 1.5 },
			RighteousVerdict = { 267610, 0 },
			SelflessHealer = { 85804, 0 },
			WakeOfAshes = { 255937, 1.5 },
			WordOfGlory = { 210191, 1.5 },
			Zeal = { 269569, 0 },
		},
		Totem = {},
	},
};