local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[4] = {
	All = {
		Aura = {
			Blind = 2094,
			CheapShot = 1833,
			CloakOfShadows = 31224,
			CrimsonVial = 185311,
			DeathFromAbove = 269513,
			Feint = 1966,
			MarkedForDeath = 137619,
			Sap = 6770,
			Shiv = 248744,
			ShroudOfConcealment = 114018,
			SmokeBomb = 212183,
			Sprint = 2983,
			Stealth = 1784,
			TricksOfTheTrade = 57934,
			Vanish = 11327,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Blind = { 2094, 1 },
			CheapShot = { 1833, 1 },
			CloakOfShadows = { 31224, 0 },
			CrimsonVial = { 185311, 1 },
			CriticalStrikes = { 157442, 0 },
			DetectTraps = { 2836, 0 },
			Detection = { 56814, 1 },
			Distract = { 1725, 1 },
			Feint = { 1966, 1 },
			FleetFooted = { 31209, 0 },
			Kick = { 1766, 0 },
			Parry = { 82245, 0 },
			PickLock = { 1804, 0 },
			PickPocket = { 921, 0 },
			SafeFall = { 1860, 0 },
			Sap = { 6770, 1 },
			SealFate = { 14190, 0 },
			ShroudOfConcealment = { 114018, 1 },
			Sprint = { 2983, 0 },
			Stealth = { 1784, 0 },
			TricksOfTheTrade = { 57934, 0 },
			Vanish = { 1856, 0 },
		},
		Talent = {
			CheatDeath = { 31230, 0 },
			DeeperStratagem = { 193531, 0 },
			Elusiveness = { 79008, 0 },
			MarkedForDeath = { 137619, 0 },
			PreyOnTheWeak = { 131511, 0 },
			Vigor = { 14983, 0 },
		},
		Totem = {},
	},

	[259] = { -- Assassination
		Aura = {
			Blindside = 121153,
			CreepingVenom = 198097,
			CrimsonTempest = 121411,
			CripplingPoison = 3408,
			DeadlyPoison = 2818,
			ElaboratePlanning = 193641,
			Envenom = 32645,
			Evasion = 5277,
			Garrote = 703,
			HiddenBlades = 270070,
			InternalBleeding = 154953,
			IronWire = 256148,
			KidneyShot = 408,
			LeechingPoison = 108211,
			Maneuverability = 197003,
			MasterAssassin = 256735,
			MindNumbingPoison = 197051,
			MinorWoundPoison = 197046,
			Neurotoxin = 197091,
			PreyOnTheWeak = 255909,
			Rupture = 1943,
			Shadowstep = 36554,
			Subterfuge = 115192,
			SystemShock = 198222,
			ToxicBlade = 245389,
			Vendetta = 79140,
			WoundPoison = 8679,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			CripplingPoison = { 3408, 0 },
			CutToTheChase = { 51667, 0 },
			DeadlyPoison = { 2823, 0 },
			Envenom = { 32645, 1 },
			Evasion = { 5277, 0 },
			Eviscerate = { 196819, 1 },
			FanOfKnives = { 51723, 1 },
			Garrote = { 703, 1 },
			ImprovedPoisons = { 14117, 0 },
			KidneyShot = { 408, 1 },
			Mutilate = { 1329, 1 },
			PoisonedKnife = { 185565, 1 },
			PotentAssassin = { 76803, 0 },
			Rupture = { 1943, 1 },
			Shadowstep = { 36554, 0 },
			SinisterStrike = { 1752, 1 },
			Vendetta = { 79140, 1 },
			VenomousWounds = { 79134, 0 },
			WoundPoison = { 8679, 0 },
		},
		Talent = {
			Blindside = { 111240, 1 },
			CrimsonTempest = { 121411, 1 },
			ElaboratePlanning = { 193640, 0 },
			Exsanguinate = { 200806, 1 },
			HiddenBlades = { 270061, 0 },
			InternalBleeding = { 154904, 0 },
			IronWire = { 196861, 0 },
			LeechingPoison = { 280716, 0 },
			MasterAssassin = { 255989, 0 },
			MasterPoisoner = { 196864, 0 },
			Nightstalker = { 14062, 0 },
			PoisonBomb = { 255544, 0 },
			Subterfuge = { 108208, 0 },
			ToxicBlade = { 245388, 1 },
			VenomRush = { 152152, 0 },
		},
		Totem = {},
	},

	[260] = { -- Outlaw
		Aura = {
			AdrenalinRush = 13750,
			Alacrity = 193538,
			BetweenTheEyes = 199804,
			BladeFlurry = 13877,
			BladeRush = 271896,
			BoardingParty = 209754,
			Broadside = 193356,
			BuriedTreasure = 199600,
			CheapTricks = 212150,
			Dismantle = 207777,
			GhostlyStrike = 196937,
			Gouge = 1766,
			GrandMelee = 193358,
			KillingSpree = 51690,
			LoadedDice = 256171,
			Maneuverability = 197003,
			Opportunity = 195627,
			PistolShot = 185763,
			PlunderArmor = 198529,
			PreyOnTheWeak = 255909,
			Riposte = 199754,
			RuthlessPrecision = 193357,
			SkullAndCrossbones = 199603,
			SliceAndDice = 5171,
			TakeYourCut = 198368,
			TrueBearing = 193359,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			AdrenalineRush = { 13750, 0.8 },
			Ambush = { 8676, 1 },
			BetweenTheEyes = { 199804, 1 },
			BladeFlurry = { 13877, 1 },
			CombatPotency = { 35551, 0 },
			Dispatch = { 2098, 1 },
			FindTreasure = { 199736, 0 },
			Gouge = { 1776, 1 },
			GrapplingHook = { 195457, 0 },
			MainGauche = { 76806, 0 },
			PistolShot = { 185763, 1 },
			RestlessBlades = { 79096, 0 },
			Riposte = { 199754, 0 },
			RollTheBones = { 193316, 1 },
			Ruthlessness = { 14161, 0 },
			SinisterStrike = { 193315, 1 },
		},
		Talent = {
			AcrobaticStrikes = { 196924, 0 },
			Alacrity = { 193539, 0 },
			BladeRush = { 271877, 1 },
			BlindingPowder = { 256165, 0 },
			DancingSteel = { 272026, 0 },
			DirtyTricks = { 108216, 0 },
			GhostlyStrike = { 196937, 1 },
			HitAndRun = { 196922, 0 },
			IronStomach = { 193546, 0 },
			KillingSpree = { 51690, 1 },
			LoadedDice = { 256170, 0 },
			QuickDraw = { 196938, 0 },
			RetractableHook = { 256188, 0 },
			SliceAndDice = { 5171, 1 },
			Weaponmaster = { 200733, 0 },
		},
		Totem = {},
	},

	[261] = { -- Subtlety
		Aura = {
			Alacrity = 193538,
			ColdBlood = 213981,
			DaggerInTheDark = 198688,
			Evasion = 5277,
			FindWeakness = 91021,
			KidneyShot = 408,
			MasterOfShadows = 196980,
			Nightblade = 195452,
			ShadowBlades = 121471,
			ShadowDance = 185422,
			ShadowsGrasp = 206760,
			Shadowstep = 36554,
			ShadowyDuel = 207736,
			ShotInTheDark = 257506,
			ShurikenCombo = 245640,
			ShurikenTornado = 277925,
			Subterfuge = 115192,
			SymbolsOfDeath = 212283,
			VeilOfMidnight = 199027,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Backstab = { 53, 1 },
			DeepeningShadows = { 185314, 0 },
			EnergeticRecovery = { 79152, 0 },
			Evasion = { 5277, 0 },
			Eviscerate = { 196819, 1 },
			Executioner = { 76808, 0 },
			KidneyShot = { 408, 1 },
			Nightblade = { 195452, 1 },
			RelentlessStrikes = { 58423, 0 },
			ShadowBlades = { 121471, 1 },
			ShadowDance = { 185313, 0 },
			ShadowTechniques = { 196912, 0 },
			ShadowsGrasp = { 277950, 0 },
			Shadowstep = { 36554, 0 },
			Shadowstrike = { 185438, 1 },
			ShurikenCombo = { 245639, 0 },
			ShurikenStorm = { 197835, 1 },
			ShurikenToss = { 114014, 1 },
			SymbolsOfDeath = { 212283, 0 },
		},
		Talent = {
			Alacrity = { 193539, 0 },
			DarkShadow = { 245687, 0 },
			EnvelopingShadows = { 238104, 0 },
			FindWeakness = { 91023, 0 },
			Gloomblade = { 200758, 1 },
			MasterOfShadows = { 196976, 0 },
			NightTerrors = { 277953, 0 },
			Nightstalker = { 14062, 0 },
			SecretTechnique = { 280719, 1 },
			ShadowFocus = { 108209, 0 },
			ShotInTheDark = { 257505, 0 },
			ShurikenTornado = { 277925, 1 },
			SoothingDarkness = { 200759, 0 },
			Subterfuge = { 108208, 0 },
			Weaponmaster = { 193537, 0 },
		},
		Totem = {},
	},
};