local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[7] = {
	All = {
		Aura = {
			AstralShift = 108271,
			Bloodlust = 2825,
			CounterstrikeTotem = 208997,
			EarthShield = 974,
			Earthbind = 3600,
			Exhaustion = 57723,
			FarSight = 6196,
			GhostWolf = 2645,
			GroundingTotemEffect = 8178,
			Heroism = 32182,
			Hex = 51514,
			Sated = 57724,
			SkyfuryTotem = 208963,
			SpectralRecovery = 204262,
			SpiritWolf = 260881,
			StaticCharge = 118905,
			WaterWalking = 546,
			WindRush = 192082,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			AncestralSpirit = { 2008, 1.5 },
			AstralShift = { 108271, 1.5 },
			Bloodlust = { 2825, 0 },
			CapacitorTotem = { 192058, 1 },
			EarthElemental = { 198103, 1.5 },
			EarthbindTotem = { 2484, 1 },
			FarSight = { 6196, 1.5 },
			GhostWolf = { 2645, 1.5 },
			Heroism = { 32182, 0 },
			Hex = { 51514, 1.5 },
			Purge = { 370, 1.5 },
			Reincarnation = { 20608, 0 },
			TremorTotem = { 8143, 1 },
			WaterWalking = { 546, 1.5 },
			WindShear = { 57994, 0 },
		},
		Talent = {
			EarthShield = { 974, 1.5 },
			EchoOfTheElementals = { 108283, 0 },
			NaturesGuardian = { 30884, 0 },
			SpiritWolf = { 260878, 0 },
			StaticCharge = { 265046, 1 },
			WindRushTotem = { 192077, 1 },
		},
		Totem = {
			[204331] = 208997,
			[2484] = 3600,
			[204336] = 8178,
			[204330] = 208963,
			[192058] = 118905,
			[192077] = 192082,
		},
	},

	[262] = { -- Elemental
		Aura = {
			AncestralGuidance = 108281,
			Ascendance = 114050,
			CallLightning = 157348,
			ControlOfLava = 236746,
			Earthfury = 204399,
			Earthquake = 182387,
			ElementalBlastCrticalStrike = 118522,
			ElementalBlastHaste = 173183,
			ElementalBlastMastery = 173184,
			EmberTotem = 210658,
			ExposedElements = 269808,
			EyeOfTheStorm = 157375,
			FlameShock = 188389,
			FrostShock = 196840,
			HardenSkin = 118337,
			Icefury = 210714,
			Immolate = 118297,
			LavaSurge = 77762,
			LightningLasso = 204437,
			MasterOfTheElements = 260734,
			Pulverize = 118345,
			ResonanceTotem = 202192,
			StormTotem = 210652,
			Stormkeeper = 191634,
			TailwindTotem = 210659,
			Thunderstorm = 51490,
			WindGust = 263806,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			ChainLightning = { 188443, 1.5 },
			CleanseSpirit = { 51886, 1.5 },
			EarthShock = { 8042, 1.5 },
			Earthquake = { 61882, 1.5 },
			ElementalFury = { 60188, 0 },
			ElementalOverload = { 168534, 0 },
			FireElemental = { 198067, 1.5 },
			FlameShock = { 188389, 1.5 },
			FrostShock = { 196840, 1.5 },
			Fulmination = { 190493, 0 },
			HealingSurge = { 8004, 1.5 },
			LavaBeam = { 114074, 1.5, "OPT_CHAIN_LIGHTNING" },
			LavaBurst = { 51505, 1.5 },
			LavaSurge = { 77756, 0 },
			LightningBolt = { 188196, 1.5 },
			Maelstrom = { 187828, 0 },
			MaelstromController = { 190488, 0 },
			Thunderstorm = { 51490, 1.5 },
		},
		Talent = {
			Aftershock = { 273221, 0 },
			AncestralGuidence = { 108281, 1.5 },
			Ascendance = { 114050, 1.5 },
			EarthenRage = { 170374, 0 },
			ElementalBlast = { 117014, 1.5 },
			ExposedElements = { 260694, 0 },
			HighVoltage = { 260890, 0 },
			Icefury = { 210714, 1.5 },
			IcefuryOverload = { 219271, 0 },
			LiquidMagmaTotem = { 192222, 1 },
			MasterOfTheElements = { 16166, 0 },
			PrimalElementalist = { 117013, 0 },
			StormElemental = { 192249, 1.5 },
			Stormkeeper = { 191634, 1.5 },
			TotemMastery = { 210643, 1 },
			UnlimitedPower = { 260895, 0 },
		},
		Totem = {
			[210643] = { 210658, 202192, 210652, 210659 },
		},
	},

	[263] = { -- Enhancement
		Aura = {
			Ascendance = 114051,
			CracklingSurge = 224127,
			CrashLightning = 187878,
			EarthenSpike = 188089,
			EmberTotem = 262399,
			EtherealForm = 210918,
			Flametongue = 194084,
			ForcefulWinds = 262652,
			Frostbrand = 147732,
			FuryOfAir = 197211,
			HotHand = 215785,
			Landslide = 202004,
			LightningShield = 192106,
			LightningShieldOvercharge = 273323,
			MoltenWeapon = 224125,
			ResonanceTotem = 262417,
			SearingAssault = 268429,
			SpiritWalk = 58875,
			StaticCling = 210927,
			StormTotem = 262397,
			Stormbringer = 201846,
			Sundering = 197214,
			TailwindTotem = 262400,
			Thundercharge = 204366,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			CleanseSpirit = { 51886, 1.5 },
			CrashLightning = { 187874, 1.5 },
			CriticalStrikes = { 157444, 0 },
			DualWield = { 86629, 0 },
			EnhancedElements = { 77223, 0 },
			FeralSpirit = { 262627, 1.5 },
			Flametongue = { 193796, 1.5 },
			Frostbrand = { 196834, 1.5 },
			HealingSurge = { 188070, 1.5 },
			LavaLash = { 60103, 1.5 },
			LightningBolt = { 187837, 1.5 },
			MaelstromWeapon = { 187880, 0 },
			Rockbiter = { 193786, 1.5 },
			SpiritWalk = { 58875, 0 },
			Stormbringer = { 201845, 0 },
			Stormstrike = { 17364, 1.5 },
			StormstrikeOffHand = { 32176, 0 },
			Windfury = { 33757, 0 },
		},
		Talent = {
			Ascendance = { 114051, 1.5 },
			Boulderfist = { 246035, 0 },
			CrashingStorm = { 192246, 0 },
			EarthenSpike = { 188089, 1.5 },
			ElementalSpirits = { 262624, 0 },
			FeralLunge = { 196884, 0.5 },
			ForcefulWinds = { 262647, 1.5 },
			FuryOfAir = { 197211, 1.5 },
			Hailstorm = { 210853, 0 },
			HotHand = { 201900, 0 },
			Landslide = { 197992, 0 },
			LightningShield = { 192106, 1.5 },
			Overcharge = { 210727, 0 },
			SearingAssault = { 192087, 0 },
			Sundering = { 197214, 1.5 },
			TotemMastery = { 262395, 1 },
			Windstrike = { 115356, 1.5 },
		},
		Totem = {
			[262395] = { 262399, 262417, 262397, 262400 },
		},
	},

	[264] = { -- Restoration
		Aura = {
			AncestralProtection = 207498,
			AncestralVigor = 207400,
			Ascendance = 114052,
			CloudburstTotem = 157504,
			EarthenWall = 201633,
			Earthgrab = 64695,
			Electrocute = 206647,
			FlameShock = 188838,
			FlashFlood = 280815,
			HealingRain = 73920,
			LavaSurge = 77762,
			Riptide = 61295,
			SpiritLink = 204293,
			SpiritLinkTotem = 98007,
			SpiritwalkersGrace = 79206,
			TidalWaves = 53390,
			Tidebringer = 236502,
			Undulation = 216251,
			UnleashLife = 73685,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			AncestralVision = { 212048, 1.5 },
			ChainHeal = { 1064, 1.5 },
			ChainLightning = { 421, 1.5 },
			DeepHealing = { 77226, 0 },
			FlameShock = { 188838, 1.5 },
			HealingRain = { 73920, 1.5 },
			HealingStreamTotem = { 5394, 1 },
			HealingSurge = { 8004, 1.5 },
			HealingTideTotem = { 108280, 1 },
			HealingWave = { 77472, 1.5 },
			LavaBurst = { 51505, 1.5 },
			LavaSurge = { 77756, 0 },
			LightningBolt = { 403, 1.5 },
			PurifySpirit = { 77130, 1.5 },
			Resurgence = { 16196, 0 },
			Riptide = { 61295, 1.5 },
			SpiritLinkTotem = { 98008, 1 },
			SpiritwalkersGrace = { 79206, 0 },
			TidalWaves = { 51564, 0 },
		},
		Talent = {
			AncestralProtectionTotem = { 207399, 1 },
			AncestralVigor = { 207401, 0 },
			Ascendance = { 114052, 1.5 },
			CloudburstTotem = { 157153, 1 },
			Deluge = { 200076, 0 },
			Downpour = { 207778, 1.5 },
			EarthenWallTotem = { 198838, 1 },
			EarthgrabTotem = { 51485, 1 },
			FlashFlood = { 280614, 0 },
			GracefulSpirit = { 192088, 0 },
			HighTide = { 157154, 0 },
			Torrent = { 200072, 0 },
			Undulation = { 200071, 0 },
			Wellspring = { 197995, 1.5 },
		},
		Totem = {
			[207399] = 207498,
			[157153] = 157504,
			[198838] = 201633,
			[51485] = 64695,
			[98008] = 98007,
		},
	},
};