local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[1] = {
	All = {
		Aura = {
			BattleShout = 6673,
			BerserkerRage = 18499,
			BoundingStride = 202164,
			Charge = 105771,
			Disarm = 236077,
			IntimidatingShout = 5246,
			StormBolt = 132169,
			Taunt = 355,
			VictoryRush = 32216,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Attack = { 88163, 0 },
			BattleShout = { 6673, 1.5 },
			BerserkerRage = { 18499, 0 },
			Block = { 123829, 0 },
			Charge = { 100, 0.5 },
			HeroicLeap = { 6544, 0 },
			HeroicThrow = { 57755, 1.5 },
			IntimidatingShout = { 5246, 1.5 },
			Parry = { 3127, 0 },
			Pummel = { 6552, 0 },
			RallyingCry = { 97462, 1.5 },
			Taunt = { 355, 0 },
			VictoryRush = { 34428, 1.5 },
		},
		Talent = {
			AngerManagement = { 152278, 0 },
			BoundingStride = { 202163, 0 },
			DoubleTime = { 103827, 0 },
			ImpendingVictory = { 202168, 1.5 },
			SecondWind = { 29838, 0 },
			StormBolt = { 107570, 1.5 },
		},
		Totem = {},
	},

	[71] = { -- Arms
		Aura = {
			Avatar = 107574,
			Bladestorm = 227847,
			ColossusSmash = 208086,
			DeadlyCalm = 262228,
			DeepWounds = 262115,
			DefensiveStance = 197690,
			DieByTheSword = 118038,
			Duel = 236273,
			Hamstring = 1715,
			InForTheKill = 248622,
			MortalStrike = 198819,
			MortalWounds = 115804,
			Overpower = 7384,
			Rend = 772,
			SharpenBlade = 198817,
			SpellReflection = 216890,
			SuddenDeath = 52437,
			SweepingStrikes = 260708,
			WarBanner = 236321,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Bladestorm = { 227847, 1.5 },
			ColossusSmash = { 167105, 1.5 },
			DeepWounds = { 262304, 0 },
			DieByTheSword = { 118038, 0 },
			Execute = { 163201, 1.5 },
			Hamstring = { 1715, 1.5 },
			MortalStrike = { 12294, 1.5 },
			Overpower = { 7384, 1.5 },
			SeasonedSoldier = { 279423, 0 },
			Slam = { 1464, 1.5 },
			SweepingStrikes = { 260708, 1.5 },
			Tactician = { 184783, 0 },
			Whirlwind = { 1680, 1.5 },
		},
		Talent = {
			Cleave = { 845, 1.5 },
			CollateralDamage = { 268243, 0 },
			DeadlyCalm = { 262228, 0 },
			DefensiveStance = { 197690, 0 },
			Dreadnaught = { 262150, 0 },
			FervorOfBattle = { 202316, 0 },
			InForTheKill = { 248621, 0 },
			Massacre = { 281001, 0 },
			Ravager = { 152277, 1.5 },
			Rend = { 772, 1.5 },
			Skullsplitter = { 260643, 1.5 },
			SuddenDeath = { 29725, 0 },
			WarMachine = { 262231, 0 },
			Warbreaker = { 262161, 1.5 },
		},
		Totem = {},
	},

	[72] = { -- Fury
		Aura = {
			Barbarian = 280746,
			BattleTrance = 213858,
			Bladestorm = 46924,
			DeathWish = 199261,
			DragonRoar = 118000,
			Enrage = 184362,
			EnragedRegeneration = 184364,
			FrothingBerserker = 215572,
			FuriousCharge = 202225,
			FuriousStash = 202539,
			PiercingHowl = 12323,
			Recklessness = 1719,
			Siegebreaker = 280773,
			SpellReflection = 216890,
			SuddenDeath = 280776,
			ThirstForBattle = 199203,
			Whirlwind = 85739,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Bloodthirst = { 23881, 1.5 },
			DeepWounds = { 115767, 0 },
			DualWield = { 231842, 0 },
			Enrage = { 184361, 0 },
			EnragedRegeneration = { 184364, 0 },
			Execute = { 5308, 1.5 },
			PiercingHowl = { 12323, 1.5 },
			RagingBlow = { 85288, 1.5 },
			Rampage = { 184367, 1.5 },
			Recklessness = { 1719, 1.5 },
			TitansGrip = { 46917, 0 },
			UnshackledFury = { 76856, 0 },
			Whirlwind = { 190411, 1.5 },
		},
		Talent = {
			Bladestorm = { 46924, 1.5 },
			Carnage = { 202922, 0 },
			DragonRoar = { 118000, 1.5 },
			EndlessRage = { 202296, 0 },
			FreshMeat = { 215568, 0 },
			FrothingBerserker = { 215571, 0 },
			FuriousCharge = { 202224, 0 },
			FuriousSlash = { 100130, 1.5 },
			InnerRage = { 215573, 0 },
			Massacre = { 206315, 0 },
			MeatCleaver = { 280392, 0 },
			RecklessAbandon = { 202751, 0 },
			Siegebreaker = { 280772, 1.5 },
			SuddenDeath = { 280721, 0 },
			WarMachine = { 262231, 0 },
			Warpaint = { 208154, 0 },
		},
		Totem = {},
	},

	[73] = { -- Protection
		Aura = {
			Avatar = 107574,
			Bodyguard = 213871,
			DeepWounds = 115767,
			DemoralizingShout = 1160,
			DragonRoar = 118000,
			IgnorePain = 190456,
			Intervene = 147833,
			Intimidated = 206891,
			LastStand = 12975,
			LeaveNoManBehind = 199038,
			MassSpellReflection = 213915,
			Punish = 275335,
			RallyingCry = 97463,
			Ravager = 227744,
			Revenge = 5302,
			Safeguard = 223658,
			ShieldBash = 198912,
			ShieldBlock = 132404,
			ShieldWall = 871,
			Shockwave = 132168,
			SpellReflection = 23920,
			ThunderClap = 6343,
			Thunderstruck = 199042,
			VengeanceIgnorePain = 202574,
			VengeanceRevenge = 202573,
			Warpath = 199095,
		},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		Spell = {
			CriticalBlock = { 76857, 0 },
			DeepWounds = { 115768, 0 },
			DemoralizingShout = { 1160, 1.5 },
			Devastate = { 20243, 1.5 },
			IgnorePain = { 190456, 1.5 },
			Intercept = { 198304, 0.5 },
			LastStand = { 12975, 0 },
			Revenge = { 6572, 1.5 },
			ShieldBlock = { 2565, 0 },
			ShieldSlam = { 23922, 1.5 },
			ShieldWall = { 871, 0 },
			Shockwave = { 46968, 1.5 },
			SpellReflection = { 23920, 0 },
			ThunderClap = { 6343, 1.5 },
			Vanguard = { 71, 0 },
		},
		Talent = {
			Avatar = { 107574, 1.5 },
			BestServedCold = { 202560, 0 },
			Bolster = { 280001, 0 },
			BoomingVoice = { 202743, 0 },
			CracklingThunder = { 203201, 0 },
			DragonRoar = { 118000, 1.5 },
			HeavyRepercussions = { 203177, 0 },
			Indomitable = { 202095, 0 },
			IntoTheFray = { 202603, 0 },
			Menace = { 275338, 0 },
			NeverSurrender = { 202561, 0 },
			Punish = { 275334, 0 },
			Ravager = { 228920, 1.5 },
			RumblingEarth = { 275339, 0 },
			Safeguard = { 223657, 0 },
			UnstoppableForce = { 275336, 0 },
			Vengeance = { 202572, 0 },
		},
		Totem = {},
	},
};