local _, addonTable = ...; -- Pulls back the Addon-Local Variables and store them locally.

addonTable.Data.Class[5] = {
	All = {
		Aura = {
			Fade = 586,
			HolyWordChastise = 200196,
			Levitate = 111759,
			MindControl = 605,
			MindVision = 2096,
			PowerWordFortitude = 21562,
			PsychicScream = 8122,
			ShackleUndead = 9484,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			DispelMagic = { 528, 1.5 },
			Fade = { 586, 0 },
			FlashHeal = { 2061, 1.5 },
			LeapOfFaith = { 73325, 0 },
			Levitate = { 1706, 1.5 },
			MassDispel = { 32375, 1.5 },
			MindControl = { 605, 1.5 },
			MindVision = { 2096, 1.5 },
			PowerWordFortitude = { 21562, 1.5 },
			PsychicScream = { 8122, 1.5 },
			Resurrection = { 2006, 1.5 },
			ShackleUndead = { 9484, 1.5 },
			Smite = { 585, 1.5 },
		},
		Talent = {
			BodyAndSoul = { 64129, 0 },
			AngelicFeather = { 121536, 1.5 },
			Benediction = { 193157, 0 },
			Castigation = { 193134, 0 },
			Contrition = { 197419, 0 },
			DivineStar = { 110744, 1.5 },
			Halo = { 120517, 1.5 },
			LuminousBarrier = { 271466, 1.5 },
			PowerWordSolace = { 129250, 1.5 },
			ShadowCovenant = { 204065, 1.5 },
			ShieldDiscipline = { 197045, 0 },
			ShiningForce = { 204263, 1.5 },
		},
		Totem = {},
	},

	[256] = { -- Discipline
		Aura = {
			AngelicFeather = 121557,
			Archangel = 197862,
			Atonement = 194384,
			BodyAndSoul = 65081,
			DarkArchangel = 197871,
			DesperatePrayer = 19236,
			LuminousBarrier = 271466,
			Masochism = 193065,
			PainSuppression = 33206,
			PowerOfTheDarkSide = 198069,
			PowerWordBarrier = 81782,
			PowerWordShield = 17,
			PurgeTheWicked = 204213,
			PurifiedResolve = 196440,
			Rapture = 47536,
			Schism = 214621,
			ShadowCovenant = 219521,
			ShadowMend = 187464,
			ShadowWordPain = 589,
			ShiningForce = 204263,
			Smite = 208772,
			StrengthOfSoul = 197548,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Atonement = { 81749, 0 },
			DesperatePrayer = { 19236, 0 },
			DivineHymn = { 64843, 1.5 },
			FocusedWill = { 45243, 0 },
			Grace = { 271534, 0 },
			HolyNova = { 132157, 1.5 },
			MassResurrection = { 212036, 1.5 },
			PainSuppression = { 33206, 0 },
			Penance = { 47540, 1.5 },
			PowerOfTheDarkSide = { 198068, 0 },
			PowerWordRadiance = { 194509, 1.5 },
			PowerWordShield = { 17, 1.5 },
			Purify = { 527, 1.5 },
			Rapture = { 47536, 1.5 },
			ShadowMend = { 186263, 1.5 },
			ShadowWordPain = { 589, 1.5 },
			Shadowfiend = { 34433, 1.5 },
		},
		Talent = {
			DominantMind = { 205367, 0 },
			Lenience = { 238063, 0 },
			Masochism = { 193063, 0 },
			Mindbender = { 123040, 1.5 },
			PsychicVoice = { 196704, 0 },
			PurgeTheWicked = { 204197, 1.5 },
			Schism = { 214621, 1.5 },
			SinsOfTheMany = { 280391, 0 },
			TwistOfFate = { 265259, 0 },
		},
		Totem = {},
	},

	[257] = { -- Holy
		Aura = {
			AngelicFeather = 121557,
			Apotheosis = 200183,
			DesperatePrayer = 19236,
			DivineHymn = 64843,
			GreaterFade = 213602,
			GuardianSpirit = 47788,
			HolyFire = 14914,
			HolyWard = 213610,
			InnerFocus = 196773,
			Inspiration = 215962,
			PrayerOfMending = 41635,
			RayOfHope = 232707,
			Renew = 139,
			ShiningForce = 204263,
			SpiritOfRedemption = 215769,
			SurgeOfLight = 114255,
			SymbolOfHope = 64901,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			DesperatePrayer = { 19236, 0 },
			EchoOfLight = { 77485, 0 },
			FocusedWill = { 45243, 0 },
			GuardianSpirit = { 47788, 0 },
			Heal = { 2060, 1.5 },
			HolyFire = { 14914, 1.5 },
			HolyNova = { 132157, 1.5 },
			HolyWordChastise = { 88625, 1.5 },
			HolyWordSanctify = { 34861, 1.5 },
			HolyWordSerenity = { 2050, 1.5 },
			MassResurrection = { 212036, 1.5 },
			PowerWordBarrier = { 62618, 1.5 },
			PrayerOfHealing = { 596, 1.5 },
			PrayerOfMending = { 33076, 1.5 },
			Purify = { 527, 1.5 },
			Renew = { 139, 1.5 },
			SpiritOfRedemption = { 20711, 0 },
			SymbolOfHope = { 64901, 1.5 },
		},
		Talent = {
			Afterlife = { 196707, 0 },
			AngelsMercy = { 238100, 0 },
			Apotheosis = { 200183, 1.5 },
			BindingHeal = { 32546, 1.5 },
			Censure = { 200199, 0 },
			CircleOfHealing = { 204883, 1.5 },
			CosmicRipple = { 238136, 0 },
			EnduringRenewal = { 200153, 0 },
			Enlightenment = { 193155, 0 },
			GuardianAngel = { 200209, 0 },
			HolyWordSalvation = { 265202, 1.5 },
			LightOfTheNaaru = { 196985, 0 },
			Mindbender = { 123040, 1.5 },
			Perseverance = { 235189, 0 },
			PsychicVoice = { 196704, 0 },
			SurgeOfLight = { 109186, 0 },
			TrailOfLight = { 200128, 0 },
		},
		Totem = {},
	},

	[258] = { -- Shadow
		Aura = {
			BodyAndSoul = 65081,
			Dispersion = 47585,
			MindBomb = 205369,
			MindFlay = 15407,
			MindSear = 48045,
			MindTrauma = 247776,
			PowerWordShield = 17,
			PsychicHorror = 64044,
			Psyflay = 199845,
			ShadowMend = 187464,
			ShadowWordPain = 589,
			Shadowform = 232698,
			ShadowyInsight = 124430,
			SurrenderToMadness = 193223,
			SurrenderedToMadness = 263406,
			SustainedSanity = 219772,
			VampiricEmbrace = 15286,
			VampiricTouch = 34914,
			VoidTorrent = 263165,
			Voidform = 194249,
		},
		Azerite = {},
		CreateAura = {},
		ConsumeAura = {},
		PersistentMultiplier = {},
		ReplacementSpells = {},
		Spell = {
			Dispersion = { 47585, 1.5 },
			Madness = { 77486, 0 },
			MindBlast = { 8092, 1.5 },
			MindFlay = { 15407, 1.5 },
			MindSear = { 48045, 1.5 },
			PowerWordShield = { 17, 1.5 },
			PurifyDisease = { 213634, 1.5 },
			ShadowMend = { 186263, 1.5 },
			ShadowWordPain = { 589, 1.5 },
			Shadowfiend = { 34433, 1.5 },
			Shadowform = { 232698, 1.5 },
			ShadowyApparitions = { 78203, 0 },
			Silence = { 15487, 0 },
			VampiricEmbrace = { 15286, 1.5 },
			VampiricTouch = { 34914, 1.5 },
			VoidBolt = { 228266, 0 },
			VoidEruption = { 228260, 1.5 },
			Voidform = { 185916, 0 },
		},
		Talent = {
			AuspiciousSpirits = { 155271, 0 },
			DarkAscension = { 280711, 1.5 },
			DarkVoid = { 263346, 1.5 },
			FortressOfTheMind = { 193195, 0 },
			LastWord = { 263716, 0 },
			LegacyOfTheVoid = { 193225, 0 },
			LingeringInsanity = { 199849, 0 },
			Mania = { 193173, 0 },
			MindBomb = { 205369, 1.5 },
			Mindbender = { 200174, 1.5 },
			Misery = { 238558, 0 },
			PsychicHorror = { 64044, 1.5 },
			Sanlayn = { 199855, 0 },
			ShadowCrash = { 205385, 1.5 },
			ShadowWordDeath = { 32379, 1.5 },
			ShadowWordVoid = { 205351, 1.5 },
			ShadowyInsight = { 162452, 0 },
			SurrenderToMadness = { 193223, 1.5 },
			TwistOfFate = { 109142, 0 },
			VoidTorrent = { 263165, 1.5 },
		},
		Totem = {},
	},
};